Bug 1566027 - can't correctly compute contents size if hidden files are included
Summary: can't correctly compute contents size if hidden files are included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nautilus
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1566026
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 11:38 UTC by Jiri Prajzner
Modified: 2020-11-04 01:35 UTC (History)
10 users (show)

Fixed In Version: nautilus-3.28.1-13.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566026
Environment:
Last Closed: 2020-11-04 01:34:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/nautilus - merge_requests 527 0 None None None 2020-03-03 08:11:42 UTC
GNOME Gitlab GNOME nautilus issues 363 0 None None None 2020-01-09 15:46:57 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:34:32 UTC

Description Jiri Prajzner 2018-04-11 11:38:41 UTC
+++ This bug was initially created as a clone of Bug #1566026 +++

Description of problem:
if i select all files in my home directory and let nautilus compute the contents size, it cycles itself in a range and never provides the final value that i expect

Version-Release number of selected component (if applicable):
3.26.2

How reproducible:
always

Steps to Reproduce:
1. go to your home directory
2. make sure hidden files are displayed
3. select all and click properties

Actual results:
the contents field is never computed

Expected results:
the value in the contents field oscillates within a range, both number of items and the totaling value

Additional info:

Comment 2 Jiri Prajzner 2018-04-11 12:16:05 UTC
CORRECTION:
"the value in the contents field oscillates within a range, both number of items and the totaling value" this belongs to Actual results.

The Expected results are that there's a final value of the contents field.

Comment 3 Carlos Soriano 2018-04-13 06:43:30 UTC
Do you have any symbolic link loop inside?

Comment 4 Jiri Prajzner 2018-04-13 06:59:01 UTC
i guess no, since find -L ~ executes just fine and doesn't report any symlink loops

Comment 5 Carlos Soriano 2018-04-13 07:03:56 UTC
Can you report upstream then? Would be good to have a reproducer too.

Comment 6 Jiri Prajzner 2018-04-13 11:48:03 UTC
https://gitlab.gnome.org/GNOME/nautilus/issues/363

Comment 7 Ondrej Holy 2020-01-09 15:46:57 UTC
I can reproduce it on my Fedora, when I select all files in .config and show properties. Interestingly, it works properly if I show properties for .config itself. This would be really nice to fix.

Comment 10 Michael Boisvert 2020-06-10 18:49:06 UTC
Item properties works correctly under nautilus-3.28.1-13.el8 with hidden files displayed.

Comment 13 errata-xmlrpc 2020-11-04 01:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.